Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.spring
[Java] Class WebRuntimeSpringConfiguration

    java.lang.Object
      org.codehaus.groovy.grails.commons.spring.DefaultRuntimeSpringConfiguration
          org.codehaus.groovy.grails.commons.spring.WebRuntimeSpringConfiguration

All Implemented Interfaces:
  ServletContextAware

    public class WebRuntimeSpringConfiguration
    extends DefaultRuntimeSpringConfiguration

Subclasses DefaultRuntimeSpringConfiguration to provide construction of WebApplicationContext instances.

Authors:
  Graeme Rocher

Since:
  1.0

Field Summary

Fields inherited from class DefaultRuntimeSpringConfiguration
aliases, beanFactory, classLoader, context, parent

Constructor Summary
`WebRuntimeSpringConfiguration(ApplicationContext parent)`
`WebRuntimeSpringConfiguration(ApplicationContext parent, java.lang.ClassLoader cl)`

Method Summary
`protected GenericApplicationContext` | `createApplicationContext(ApplicationContext parentCtx)`
`void` | `setServletContext(ServletContext servletContext)`

Methods inherited from class DefaultRuntimeSpringConfiguration
addAbstractBean, addAlias, addBeanConfiguration, addBeanDefinition, addPrototypeBean, addPrototypeBean, addSingletonBean, addSingletonBean, addSingletonBean, containsBean, createApplicationContext, createBeanDefinition, createPrototypeBean, createSingletonBean, createSingletonBean, createSingletonBean, getApplicationContext, getBeanConfig, getBeanDefinition, getBeanNames, getUnrefreshedApplicationContext, initialiseApplicationContext, registerBeansWithConfig, registerBeansWithContext, registerBeansWithRegistry, registerPostProcessor, setBeanFactory

Constructor Detail

### WebRuntimeSpringConfiguration

    public WebRuntimeSpringConfiguration(ApplicationContext parent)

### WebRuntimeSpringConfiguration

    public WebRuntimeSpringConfiguration(ApplicationContext parent, java.lang.ClassLoader cl)

Method Detail

### createApplicationContext

    @Override
    protected GenericApplicationContext createApplicationContext(ApplicationContext parentCtx)

### setServletContext

    public void setServletContext(ServletContext servletContext)

Groovy Documentation